#ifndef PADFORM_H
#define PADFORM_H

#include <QDialog>

namespace Ui {
class PadForm;
}

class PadForm : public QDialog
{
    Q_OBJECT

public:
    explicit PadForm(QWidget *parent = 0);
    ~PadForm();

private:
    Ui::PadForm *ui;

private slots:
    /* 功能:数字点击对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void onNumClicked();
    /* 功能:删除按钮对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void on_padBtnDel_clicked();
    /* 功能:清空按钮对应操作
     * 参数:NULL
     * 返回:NULL
     * */
    void on_padBtnClearn_clicked();

    /* 功能: 电商-MOP 按钮 触发获取订单详情数据接口获取成功后，直接跳转到 订单详情界面; 获取失败后，直接弹窗提示;
     * 参数:NULL
     * 返回:NULL
     * */
    void on_padBtnEcMop_clicked();

signals:
    void numClicked(const QString& num);
    void numDelete();
    void numClear();
    void getEcMopOrder();
};

#endif // PADFORM_H
